#
# spec file for package perl-List-AllUtils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-AllUtils
Version:        0.07
Release:        6.3
%define cpan_name List-AllUtils
Summary:        Combines List::Util and List::MoreUtils in one bite-sized package
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-AllUtils/
Source:         http://www.cpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::MoreUtils) >= 0.28
BuildRequires:  perl(List::Util) >= 1.31
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warnings)
#BuildRequires: perl(List::AllUtils)
Requires:       perl(List::MoreUtils) >= 0.28
Requires:       perl(List::Util) >= 1.31
%{perl_requires}

%description
Are you sick of trying to remember whether a particular helper is defined
in 'List::Util' or 'List::MoreUtils'? I sure am. Now you don't have to
remember. This module will export all of the functions that either of those
two modules defines.

Note that all function documentation has been shamelessly copied from the
List::Util manpage and <List::MoreUtils>.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.07
  - The last version totally broke all exports from List::MoreUtils. Now there
  are actual tests for this. Reported by Tatsuhiko Miyagawa. RT #89509.
  - List::Util 1.33 provides some subs that are also provided by
  List::MoreUtils. This caused subroutine redefeined warnings. List::AllUtils
  now only imports subs from List::MoreUtils that aren't defined by
  List::Util. This works with List::Util 1.31+. Reported by Zefram. RT #89467.
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.05
  - Really require List::Util 1.31, instead of just saying so in the
  Changes. Reported by Przemysław Wesołek. RT #88296
  - Updated to require List::Util 1.31, which includes a bunch of new pairwise
  functions.
  - Updated docs to match List::MoreUtils 0.28+. Reported by ilmari. RT #75196.
* Tue May 22 2012 werner@suse.de
- run osc service localrun format_spec_file
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- initial version (0.02)
